<% component = defined?(componentIndex) ? {:componentIndex => componentIndex} : { } %>
<% collectionsView = defined?(greetingsFromCollectionsView) %>
<% notesToExclude = ['performers','extent','abstract','table of contents','identifier',
        'existence and location of originals','general physical description', 'dimensions',
        'digital origin', 'physical description', 'edition', 'site', 'funding', 'related publications',
        'inscription', 'material details', 'material details:relationship to other loci',
        'material details:storage method', 'material details:water depth', 'methods',
        'biography', 'arrangement', 'technical details', 'publication information', 'venue',
        'statement of responsibility', 'scope and content', 'note', 'location of originals',
        'description', 'preferred citation', 'credits', 'bibliography', 'classification', 'custodial history',
        'publication', 'series', 'thesis'] %>
<% unit_code = @document["unit_code_tesim"][0] if @document["unit_code_tesim"] %>

<%= render :partial => 'shared/fields/access_control_level' %>
<%= render :partial => 'shared/fields/collection', :locals => component %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'extent'}.merge(component) %>

<% if unit_code == "rdcp" %>
  <%= render :partial => 'shared/fields/note', :locals => {:type => 'preferred citation', :custom_label => 'cite this work'}.merge(component) %>
  <%= render :partial => 'shared/fields/preferred_citation_note', :locals => component %>
<% end %>

<%= render :partial => 'shared/fields/note', :locals => {:type => 'description'}.merge(component) %>
<%= render :partial => 'shared/fields/scope_of_content', :locals => component %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'scope and content'}.merge(component) %>
<%= render :partial => 'shared/fields/date', :locals => {:type => 'event'}.merge(component) %>
<%= render :partial => 'shared/fields/date', :locals => {:type => 'collected'}.merge(component) %>
<%= render :partial => 'shared/fields/date', :locals => {:type => 'creation'}.merge(component) %>
<%= render :partial => 'shared/fields/date', :locals => {:type => 'issued'}.merge(component) %>
<%= render :partial => 'shared/fields/relationships', :locals => component %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'credits'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'performers'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'edition'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'inscription'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'abstract'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'general physical description'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'biography'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'table of contents'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'arrangement'}.merge(component) %>
<%= render :partial => 'shared/fields/note',
        :locals => {:type => 'location of originals'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'publication information'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'venue'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'physical description'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'dimensions'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'material details'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'material details:relationship to other loci'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'site'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'material details:storage method'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'material details:water depth'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'material details:finds'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'material details:limits'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'methods'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'technical details'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'note'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'funding'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'related publications'}.merge(component) %>
<%= render :partial => 'shared/fields/series', :locals => component %>
<%= render :partial => 'shared/fields/cruise', :locals => component %>
<%= render :partial => 'shared/fields/geographic', :locals => component %>
<%= render :partial => 'shared/fields/cultural_context', :locals => component %>
<%= render :partial => 'shared/fields/temporal', :locals => component %>
<%= render :partial => 'shared/fields/scientific_name', :locals => component %>
<%= render :partial => 'shared/fields/common_name', :locals => component %>
<%= render :partial => 'shared/fields/anatomy', :locals => component %>
<%= render :partial => 'shared/fields/lithology', :locals => component %>
<%= render :partial => 'shared/fields/genre_form', :locals => component %>
<%= render :partial => 'shared/fields/corporate_name', :locals => component %>
<%= render :partial => 'shared/fields/family_name', :locals => component %>
<%= render :partial => 'shared/fields/personal_name', :locals => component %>
<%= render :partial => 'shared/fields/conference_name', :locals => component %>
<%= render :partial => 'shared/fields/occupation', :locals => component %>
<%= render :partial => 'shared/fields/built_work_place', :locals => component %>
<%= render :partial => 'shared/fields/function', :locals => component %>
<%= render :partial => 'shared/fields/iconography', :locals => component %>
<%= render :partial => 'shared/fields/style_period', :locals => component %>
<%= render :partial => 'shared/fields/technique', :locals => component %>
<%= render :partial => 'shared/fields/subject', :locals => component %>
<%= render :partial => 'shared/fields/cartographic', :locals => component %>
<%= render :partial => 'shared/fields/resource_type', :locals => component %>
<%= render :partial => 'shared/fields/language', :locals => component %>
<% if can? :update, @document %>
  <%= render :partial => 'shared/fields/note', :locals => {:type => 'identifier'}.merge(component) %>
<% else %>
  <%= render :partial => 'shared/fields/note', :locals => {:type => 'identifier',
          :exclude_label => ['ark', 'ark id', 'collection number', 'call number', 'filename',
          'local', 'negative', 'negative number', 'oclc number', 'roger record', 'sequence', 'accession number']
          }.merge(component) %>
<% end %>
<%= render :partial => 'shared/fields/related_resource',
        :locals => {:collectionDoc => @document, :docType => 'object'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'statement of responsibility'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'bibliography'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'classification'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'custodial history'}.merge(component) %>
<%= render :partial => 'shared/fields/custodial_responsibility_note' , :locals => component%>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'publication'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'series'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'thesis'}.merge(component) %>
<%= render :partial => 'shared/fields/note', :locals => {:type => 'digital origin'}.merge(component) %>
<% if can? :update, @document %>
  <%= render :partial => 'shared/fields/note', :locals => { :internal => true }.merge(component) %>
<% end %>
<%= render :partial => 'shared/fields/note', :locals => {:exclude_type => notesToExclude,
         :exclude_label => ['digital object made available by'] }.merge(component) %>
<%= render :partial => 'shared/fields/license', :locals => component %>
<%= render :partial => 'shared/fields/rights_holder', :locals => component %>
<%= render :partial => 'shared/fields/date', :locals => {:type => 'copyright'}.merge(component) %>
<% if unit_code != "rdcp" %>
  <%= render :partial => 'shared/fields/note', :locals => {:type => 'preferred citation', :custom_label => 'cite this work'}.merge(component) %>
  <%= render :partial => 'shared/fields/preferred_citation_note', :locals => component %>
<% end %>
<%= render :partial => 'shared/fields/copyright', :locals => component %>
<% if can? :update, @document %>
  <%= render :partial => 'shared/fields/statute', :locals => component %>
  <%= render :partial => 'shared/fields/other_rights', :locals => component %>
<% end %>
<%= render :partial => 'shared/fields/note',
        :locals => {:include_label => 'digital object made available by'}.merge(component) %>
<%= render :partial => 'shared/fields/last_modified', :locals => component %>




















